RTEMS: FR_struct_tag Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
FR_struct_tag Struct Reference

## Data Fields
FR_MVR_16B_tag | MVR
FR_MCR_16B_tag | MCR
union {
FR_SYMBADHR_16B_tag SYSBADHR
FR_SYMBADHR_16B_tag SYMBADHR
}; |
union {
FR_SYMBADLR_16B_tag SYSBADLR
FR_SYMBADLR_16B_tag SYMBADLR
}; |
FR_STBSCR_16B_tag | STBSCR
int8_t | FR_reserved_000A [2]
FR_MBDSR_16B_tag | MBDSR
FR_MBSSUTR_16B_tag | MBSSUTR
union {
FR_PEDRAR_16B_tag PEDRAR
FR_PEDRAR_16B_tag PADR
}; |
union {
FR_PEDRDR_16B_tag PEDRDR
FR_PEDRDR_16B_tag PDAR
}; |
FR_POCR_16B_tag | POCR
FR_GIFER_16B_tag | GIFER
FR_PIFR0_16B_tag | PIFR0
FR_PIFR1_16B_tag | PIFR1
FR_PIER0_16B_tag | PIER0
FR_PIER1_16B_tag | PIER1
FR_CHIERFR_16B_tag | CHIERFR
FR_MBIVEC_16B_tag | MBIVEC
FR_CASERCR_16B_tag | CASERCR
FR_CBSERCR_16B_tag | CBSERCR
FR_PSR0_16B_tag | PSR0
FR_PSR1_16B_tag | PSR1
FR_PSR2_16B_tag | PSR2
FR_PSR3_16B_tag | PSR3
FR_MTCTR_16B_tag | MTCTR
FR_CYCTR_16B_tag | CYCTR
FR_SLTCTAR_16B_tag | SLTCTAR
FR_SLTCTBR_16B_tag | SLTCTBR
FR_RTCORVR_16B_tag | RTCORVR
FR_OFCORVR_16B_tag | OFCORVR
union {
FR_CIFR_16B_tag CIFRR
FR_CIFR_16B_tag CIFR
}; |
FR_SYMATOR_16B_tag | SYMATOR
FR_SFCNTR_16B_tag | SFCNTR
FR_SFTOR_16B_tag | SFTOR
FR_SFTCCSR_16B_tag | SFTCCSR
FR_SFIDRFR_16B_tag | SFIDRFR
FR_SFIDAFVR_16B_tag | SFIDAFVR
FR_SFIDAFMR_16B_tag | SFIDAFMR
union {
FR_NMVR_16B_tag NMVR [6]
struct {
FR_NMVR0_16B_tag NMVR0
FR_NMVR1_16B_tag NMVR1
FR_NMVR2_16B_tag NMVR2
FR_NMVR3_16B_tag NMVR3
FR_NMVR4_16B_tag NMVR4
FR_NMVR5_16B_tag NMVR5
} |
}; |
FR_NMVLR_16B_tag | NMVLR
FR_TICCR_16B_tag | TICCR
FR_TI1CYSR_16B_tag | TI1CYSR
union {
FR_TI1MTOR_16B_tag TI1MTOR
FR_TI1MTOR_16B_tag T1MTOR
}; |
FR_TI2CR0_16B_tag | TI2CR0
FR_TI2CR1_16B_tag | TI2CR1
FR_SSSR_16B_tag | SSSR
FR_SSCCR_16B_tag | SSCCR
union {
FR_SSR_16B_tag SSR [8]
struct {
FR_SSR_16B_tag SSR0
FR_SSR_16B_tag SSR1
FR_SSR_16B_tag SSR2
FR_SSR_16B_tag SSR3
FR_SSR_16B_tag SSR4
FR_SSR_16B_tag SSR5
FR_SSR_16B_tag SSR6
FR_SSR_16B_tag SSR7
} |
}; |
union {
FR_SSCR_16B_tag SSCR [4]
struct {
FR_SSCR0_16B_tag SSCR0
FR_SSCR1_16B_tag SSCR1
FR_SSCR2_16B_tag SSCR2
FR_SSCR3_16B_tag SSCR3
} |
}; |
FR_MTSACFR_16B_tag | MTSACFR
FR_MTSBCFR_16B_tag | MTSBCFR
FR_RSBIR_16B_tag | RSBIR
union {
FR_RFWMSR_16B_tag RFWMSR
FR_RFWMSR_16B_tag RFSR
}; |
union {
FR_RF_RFSIR_16B_tag RFSIR
FR_RF_RFSIR_16B_tag RF_RFSIR
}; |
FR_RFDSR_16B_tag | RFDSR
FR_RFARIR_16B_tag | RFARIR
FR_RFBRIR_16B_tag | RFBRIR
FR_RFMIDAFVR_16B_tag | RFMIDAFVR
union {
FR_RFMIDAFMR_16B_tag RFMIDAFMR
FR_RFMIDAFMR_16B_tag RFMIAFMR
}; |
FR_RFFIDRFVR_16B_tag | RFFIDRFVR
FR_RFFIDRFMR_16B_tag | RFFIDRFMR
FR_RFRFCFR_16B_tag | RFRFCFR
FR_RFRFCTR_16B_tag | RFRFCTR
FR_LDTXSLAR_16B_tag | LDTXSLAR
FR_LDTXSLBR_16B_tag | LDTXSLBR
FR_PCR0_16B_tag | PCR0
FR_PCR1_16B_tag | PCR1
FR_PCR2_16B_tag | PCR2
FR_PCR3_16B_tag | PCR3
FR_PCR4_16B_tag | PCR4
FR_PCR5_16B_tag | PCR5
FR_PCR6_16B_tag | PCR6
FR_PCR7_16B_tag | PCR7
FR_PCR8_16B_tag | PCR8
FR_PCR9_16B_tag | PCR9
FR_PCR10_16B_tag | PCR10
FR_PCR11_16B_tag | PCR11
FR_PCR12_16B_tag | PCR12
FR_PCR13_16B_tag | PCR13
FR_PCR14_16B_tag | PCR14
FR_PCR15_16B_tag | PCR15
FR_PCR16_16B_tag | PCR16
FR_PCR17_16B_tag | PCR17
FR_PCR18_16B_tag | PCR18
FR_PCR19_16B_tag | PCR19
FR_PCR20_16B_tag | PCR20
FR_PCR21_16B_tag | PCR21
FR_PCR22_16B_tag | PCR22
FR_PCR23_16B_tag | PCR23
FR_PCR24_16B_tag | PCR24
FR_PCR25_16B_tag | PCR25
FR_PCR26_16B_tag | PCR26
FR_PCR27_16B_tag | PCR27
FR_PCR28_16B_tag | PCR28
FR_PCR29_16B_tag | PCR29
FR_PCR30_16B_tag | PCR30
int8_t | FR_reserved_00DE [10]
FR_RFSYMBHADR_16B_tag | RFSYMBHADR
FR_RFSYMBLADR_16B_tag | RFSYMBLADR
FR_RFPTR_16B_tag | RFPTR
FR_RFFLPCR_16B_tag | RFFLPCR
FR_EEIFER_16B_tag | EEIFER
FR_EERICR_16B_tag | EERICR
FR_EERAR_16B_tag | EERAR
FR_EERDR_16B_tag | EERDR
FR_EERCR_16B_tag | EERCR
FR_EEIAR_16B_tag | EEIAR
FR_EEIDR_16B_tag | EEIDR
FR_EEICR_16B_tag | EEICR
union {
FR_MB_tag MB [64]
FR_MB_tag MBCCS [64]
struct {
FR_MBCCSR_16B_tag MBCCSR0
FR_MBCCFR_16B_tag MBCCFR0
FR_MBFIDR_16B_tag MBFIDR0
FR_MBIDXR_16B_tag MBIDXR0
FR_MBCCSR_16B_tag MBCCSR1
FR_MBCCFR_16B_tag MBCCFR1
FR_MBFIDR_16B_tag MBFIDR1
FR_MBIDXR_16B_tag MBIDXR1
FR_MBCCSR_16B_tag MBCCSR2
FR_MBCCFR_16B_tag MBCCFR2
FR_MBFIDR_16B_tag MBFIDR2
FR_MBIDXR_16B_tag MBIDXR2
FR_MBCCSR_16B_tag MBCCSR3
FR_MBCCFR_16B_tag MBCCFR3
FR_MBFIDR_16B_tag MBFIDR3
FR_MBIDXR_16B_tag MBIDXR3
FR_MBCCSR_16B_tag MBCCSR4
FR_MBCCFR_16B_tag MBCCFR4
FR_MBFIDR_16B_tag MBFIDR4
FR_MBIDXR_16B_tag MBIDXR4
FR_MBCCSR_16B_tag MBCCSR5
FR_MBCCFR_16B_tag MBCCFR5
FR_MBFIDR_16B_tag MBFIDR5
FR_MBIDXR_16B_tag MBIDXR5
FR_MBCCSR_16B_tag MBCCSR6
FR_MBCCFR_16B_tag MBCCFR6
FR_MBFIDR_16B_tag MBFIDR6
FR_MBIDXR_16B_tag MBIDXR6
FR_MBCCSR_16B_tag MBCCSR7
FR_MBCCFR_16B_tag MBCCFR7
FR_MBFIDR_16B_tag MBFIDR7
FR_MBIDXR_16B_tag MBIDXR7
FR_MBCCSR_16B_tag MBCCSR8
FR_MBCCFR_16B_tag MBCCFR8
FR_MBFIDR_16B_tag MBFIDR8
FR_MBIDXR_16B_tag MBIDXR8
FR_MBCCSR_16B_tag MBCCSR9
FR_MBCCFR_16B_tag MBCCFR9
FR_MBFIDR_16B_tag MBFIDR9
FR_MBIDXR_16B_tag MBIDXR9
FR_MBCCSR_16B_tag MBCCSR10
FR_MBCCFR_16B_tag MBCCFR10
FR_MBFIDR_16B_tag MBFIDR10
FR_MBIDXR_16B_tag MBIDXR10
FR_MBCCSR_16B_tag MBCCSR11
FR_MBCCFR_16B_tag MBCCFR11
FR_MBFIDR_16B_tag MBFIDR11
FR_MBIDXR_16B_tag MBIDXR11
FR_MBCCSR_16B_tag MBCCSR12
FR_MBCCFR_16B_tag MBCCFR12
FR_MBFIDR_16B_tag MBFIDR12
FR_MBIDXR_16B_tag MBIDXR12
FR_MBCCSR_16B_tag MBCCSR13
FR_MBCCFR_16B_tag MBCCFR13
FR_MBFIDR_16B_tag MBFIDR13
FR_MBIDXR_16B_tag MBIDXR13
FR_MBCCSR_16B_tag MBCCSR14
FR_MBCCFR_16B_tag MBCCFR14
FR_MBFIDR_16B_tag MBFIDR14
FR_MBIDXR_16B_tag MBIDXR14
FR_MBCCSR_16B_tag MBCCSR15
FR_MBCCFR_16B_tag MBCCFR15
FR_MBFIDR_16B_tag MBFIDR15
FR_MBIDXR_16B_tag MBIDXR15
FR_MBCCSR_16B_tag MBCCSR16
FR_MBCCFR_16B_tag MBCCFR16
FR_MBFIDR_16B_tag MBFIDR16
FR_MBIDXR_16B_tag MBIDXR16
FR_MBCCSR_16B_tag MBCCSR17
FR_MBCCFR_16B_tag MBCCFR17
FR_MBFIDR_16B_tag MBFIDR17
FR_MBIDXR_16B_tag MBIDXR17
FR_MBCCSR_16B_tag MBCCSR18
FR_MBCCFR_16B_tag MBCCFR18
FR_MBFIDR_16B_tag MBFIDR18
FR_MBIDXR_16B_tag MBIDXR18
FR_MBCCSR_16B_tag MBCCSR19
FR_MBCCFR_16B_tag MBCCFR19
FR_MBFIDR_16B_tag MBFIDR19
FR_MBIDXR_16B_tag MBIDXR19
FR_MBCCSR_16B_tag MBCCSR20
FR_MBCCFR_16B_tag MBCCFR20
FR_MBFIDR_16B_tag MBFIDR20
FR_MBIDXR_16B_tag MBIDXR20
FR_MBCCSR_16B_tag MBCCSR21
FR_MBCCFR_16B_tag MBCCFR21
FR_MBFIDR_16B_tag MBFIDR21
FR_MBIDXR_16B_tag MBIDXR21
FR_MBCCSR_16B_tag MBCCSR22
FR_MBCCFR_16B_tag MBCCFR22
FR_MBFIDR_16B_tag MBFIDR22
FR_MBIDXR_16B_tag MBIDXR22
FR_MBCCSR_16B_tag MBCCSR23
FR_MBCCFR_16B_tag MBCCFR23
FR_MBFIDR_16B_tag MBFIDR23
FR_MBIDXR_16B_tag MBIDXR23
FR_MBCCSR_16B_tag MBCCSR24
FR_MBCCFR_16B_tag MBCCFR24
FR_MBFIDR_16B_tag MBFIDR24
FR_MBIDXR_16B_tag MBIDXR24
FR_MBCCSR_16B_tag MBCCSR25
FR_MBCCFR_16B_tag MBCCFR25
FR_MBFIDR_16B_tag MBFIDR25
FR_MBIDXR_16B_tag MBIDXR25
FR_MBCCSR_16B_tag MBCCSR26
FR_MBCCFR_16B_tag MBCCFR26
FR_MBFIDR_16B_tag MBFIDR26
FR_MBIDXR_16B_tag MBIDXR26
FR_MBCCSR_16B_tag MBCCSR27
FR_MBCCFR_16B_tag MBCCFR27
FR_MBFIDR_16B_tag MBFIDR27
FR_MBIDXR_16B_tag MBIDXR27
FR_MBCCSR_16B_tag MBCCSR28
FR_MBCCFR_16B_tag MBCCFR28
FR_MBFIDR_16B_tag MBFIDR28
FR_MBIDXR_16B_tag MBIDXR28
FR_MBCCSR_16B_tag MBCCSR29
FR_MBCCFR_16B_tag MBCCFR29
FR_MBFIDR_16B_tag MBFIDR29
FR_MBIDXR_16B_tag MBIDXR29
FR_MBCCSR_16B_tag MBCCSR30
FR_MBCCFR_16B_tag MBCCFR30
FR_MBFIDR_16B_tag MBFIDR30
FR_MBIDXR_16B_tag MBIDXR30
FR_MBCCSR_16B_tag MBCCSR31
FR_MBCCFR_16B_tag MBCCFR31
FR_MBFIDR_16B_tag MBFIDR31
FR_MBIDXR_16B_tag MBIDXR31
FR_MBCCSR_16B_tag MBCCSR32
FR_MBCCFR_16B_tag MBCCFR32
FR_MBFIDR_16B_tag MBFIDR32
FR_MBIDXR_16B_tag MBIDXR32
FR_MBCCSR_16B_tag MBCCSR33
FR_MBCCFR_16B_tag MBCCFR33
FR_MBFIDR_16B_tag MBFIDR33
FR_MBIDXR_16B_tag MBIDXR33
FR_MBCCSR_16B_tag MBCCSR34
FR_MBCCFR_16B_tag MBCCFR34
FR_MBFIDR_16B_tag MBFIDR34
FR_MBIDXR_16B_tag MBIDXR34
FR_MBCCSR_16B_tag MBCCSR35
FR_MBCCFR_16B_tag MBCCFR35
FR_MBFIDR_16B_tag MBFIDR35
FR_MBIDXR_16B_tag MBIDXR35
FR_MBCCSR_16B_tag MBCCSR36
FR_MBCCFR_16B_tag MBCCFR36
FR_MBFIDR_16B_tag MBFIDR36
FR_MBIDXR_16B_tag MBIDXR36
FR_MBCCSR_16B_tag MBCCSR37
FR_MBCCFR_16B_tag MBCCFR37
FR_MBFIDR_16B_tag MBFIDR37
FR_MBIDXR_16B_tag MBIDXR37
FR_MBCCSR_16B_tag MBCCSR38
FR_MBCCFR_16B_tag MBCCFR38
FR_MBFIDR_16B_tag MBFIDR38
FR_MBIDXR_16B_tag MBIDXR38
FR_MBCCSR_16B_tag MBCCSR39
FR_MBCCFR_16B_tag MBCCFR39
FR_MBFIDR_16B_tag MBFIDR39
FR_MBIDXR_16B_tag MBIDXR39
FR_MBCCSR_16B_tag MBCCSR40
FR_MBCCFR_16B_tag MBCCFR40
FR_MBFIDR_16B_tag MBFIDR40
FR_MBIDXR_16B_tag MBIDXR40
FR_MBCCSR_16B_tag MBCCSR41
FR_MBCCFR_16B_tag MBCCFR41
FR_MBFIDR_16B_tag MBFIDR41
FR_MBIDXR_16B_tag MBIDXR41
FR_MBCCSR_16B_tag MBCCSR42
FR_MBCCFR_16B_tag MBCCFR42
FR_MBFIDR_16B_tag MBFIDR42
FR_MBIDXR_16B_tag MBIDXR42
FR_MBCCSR_16B_tag MBCCSR43
FR_MBCCFR_16B_tag MBCCFR43
FR_MBFIDR_16B_tag MBFIDR43
FR_MBIDXR_16B_tag MBIDXR43
FR_MBCCSR_16B_tag MBCCSR44
FR_MBCCFR_16B_tag MBCCFR44
FR_MBFIDR_16B_tag MBFIDR44
FR_MBIDXR_16B_tag MBIDXR44
FR_MBCCSR_16B_tag MBCCSR45
FR_MBCCFR_16B_tag MBCCFR45
FR_MBFIDR_16B_tag MBFIDR45
FR_MBIDXR_16B_tag MBIDXR45
FR_MBCCSR_16B_tag MBCCSR46
FR_MBCCFR_16B_tag MBCCFR46
FR_MBFIDR_16B_tag MBFIDR46
FR_MBIDXR_16B_tag MBIDXR46
FR_MBCCSR_16B_tag MBCCSR47
FR_MBCCFR_16B_tag MBCCFR47
FR_MBFIDR_16B_tag MBFIDR47
FR_MBIDXR_16B_tag MBIDXR47
FR_MBCCSR_16B_tag MBCCSR48
FR_MBCCFR_16B_tag MBCCFR48
FR_MBFIDR_16B_tag MBFIDR48
FR_MBIDXR_16B_tag MBIDXR48
FR_MBCCSR_16B_tag MBCCSR49
FR_MBCCFR_16B_tag MBCCFR49
FR_MBFIDR_16B_tag MBFIDR49
FR_MBIDXR_16B_tag MBIDXR49
FR_MBCCSR_16B_tag MBCCSR50
FR_MBCCFR_16B_tag MBCCFR50
FR_MBFIDR_16B_tag MBFIDR50
FR_MBIDXR_16B_tag MBIDXR50
FR_MBCCSR_16B_tag MBCCSR51
FR_MBCCFR_16B_tag MBCCFR51
FR_MBFIDR_16B_tag MBFIDR51
FR_MBIDXR_16B_tag MBIDXR51
FR_MBCCSR_16B_tag MBCCSR52
FR_MBCCFR_16B_tag MBCCFR52
FR_MBFIDR_16B_tag MBFIDR52
FR_MBIDXR_16B_tag MBIDXR52
FR_MBCCSR_16B_tag MBCCSR53
FR_MBCCFR_16B_tag MBCCFR53
FR_MBFIDR_16B_tag MBFIDR53
FR_MBIDXR_16B_tag MBIDXR53
FR_MBCCSR_16B_tag MBCCSR54
FR_MBCCFR_16B_tag MBCCFR54
FR_MBFIDR_16B_tag MBFIDR54
FR_MBIDXR_16B_tag MBIDXR54
FR_MBCCSR_16B_tag MBCCSR55
FR_MBCCFR_16B_tag MBCCFR55
FR_MBFIDR_16B_tag MBFIDR55
FR_MBIDXR_16B_tag MBIDXR55
FR_MBCCSR_16B_tag MBCCSR56
FR_MBCCFR_16B_tag MBCCFR56
FR_MBFIDR_16B_tag MBFIDR56
FR_MBIDXR_16B_tag MBIDXR56
FR_MBCCSR_16B_tag MBCCSR57
FR_MBCCFR_16B_tag MBCCFR57
FR_MBFIDR_16B_tag MBFIDR57
FR_MBIDXR_16B_tag MBIDXR57
FR_MBCCSR_16B_tag MBCCSR58
FR_MBCCFR_16B_tag MBCCFR58
FR_MBFIDR_16B_tag MBFIDR58
FR_MBIDXR_16B_tag MBIDXR58
FR_MBCCSR_16B_tag MBCCSR59
FR_MBCCFR_16B_tag MBCCFR59
FR_MBFIDR_16B_tag MBFIDR59
FR_MBIDXR_16B_tag MBIDXR59
FR_MBCCSR_16B_tag MBCCSR60
FR_MBCCFR_16B_tag MBCCFR60
FR_MBFIDR_16B_tag MBFIDR60
FR_MBIDXR_16B_tag MBIDXR60
FR_MBCCSR_16B_tag MBCCSR61
FR_MBCCFR_16B_tag MBCCFR61
FR_MBFIDR_16B_tag MBFIDR61
FR_MBIDXR_16B_tag MBIDXR61
FR_MBCCSR_16B_tag MBCCSR62
FR_MBCCFR_16B_tag MBCCFR62
FR_MBFIDR_16B_tag MBFIDR62
FR_MBIDXR_16B_tag MBIDXR62
FR_MBCCSR_16B_tag MBCCSR63
FR_MBCCFR_16B_tag MBCCFR63
FR_MBFIDR_16B_tag MBFIDR63
FR_MBIDXR_16B_tag MBIDXR63
} |
}; |

The documentation for this struct was generated from the following file:

- bsps/powerpc/mpc55xxevb/include/mpc55xx/fsl-mpc564xL.h